package com.inkasso.factoring.common.enums;

import lombok.Getter;

/**
 * @author liutao
 * @date 2023-08016
 */
@Getter
public enum WechatStatusEnum {


    PAID("wechatPayStatusPaid","已支付"),

    NOT_PAID("wechatPayStatusUnpaid","待支付");

    String code;

    String desc;

    WechatStatusEnum(String code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public static WechatStatusEnum getByCode(String code){
        for(WechatStatusEnum ft:values()){
            if(ft.code.equals(code)){
                return ft;
            }
        }
        return null;
    }
}
